Subject: Re: frame parameter menu-bar-lines changes height of frame
From: martin rudalics <[email-masked]>
To: [email-masked], [email-masked]
Date: Wed, 31 Dec 2014 19:36:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

> > emacs -Q
 > >
 > > (make-frame '((width . 70)(height . 50)))
 > > (modify-frame-parameters (selected-frame) '((menu-bar-lines . 0)))
 > > (frame-parameters)
 > > (modify-frame-parameters (selected-frame) '((menu-bar-lines . 1)))
 > > (frame-parameters)
 > >
 > > Adding and removing a menu-bar line changes the visible height of the
 > > frame (incorrect), but it does not change the `height' frame
 > > parameter. The correct behavior is that observed for `tool-bar-lines':
 > > neither the visible frame height nor the `height' parameter is
 > > changed.
 >
 > Use (assq 'height (frame-parameters)) to see that the `height'
 > parameter does not change.

This can now be handled on trunk/master by adding 'menu-bar-lines' to
`frame-inhibit-implied-resize'.  Bug closed.

Thanks, martin